/*      */
#include <sys/socket.h>

typedef int tdcon;

struct tdcon_str
{
    int socket_id;
    int model;
    struct sockaddr remote_serv;
    unsigned short state; 
};

/* Default service name for torgdev daemon ( in /etc/services ) */
#define TD_SERVICE_NAME "fisc-maria"
#ifdef	__cplusplus
extern "C" {
#endif

/* td_open_server() - c   
 *  :
 *   server_name  - (IP-) ,    
 *   service_name -  ,     ( /etc/services)
 *  :
 *   >= 0 - OK,  handle    
 *   < 0  -  
 */
extern tdcon td_open_server(char *server_name, char *service_name);

/* td_write_to_server() -   
 *  :
 *   handle -    open_server
 *   cmd -  () 
 *  :
 *   >= 0 - OK, -  
 *   < 0  -  
 */
extern int td_write_to_server(tdcon handle, char *cmd);

/* td_read_from_server() -   
 *  :
 *   server_answer -    
 *  :
 *   count -   server_answer
 *  :
 *   >= 0 - OK, -  
 *   < 0  -  
 *
 */
extern int td_read_from_server(tdcon conection_id,
	char *server_answer, int count);

/* td_close_server() -  */
extern int td_close_server(tdcon conection_id);

/* td_model() -   ,   )	*/
extern int td_model(tdcon handle);

#ifdef	__cplusplus
}
#endif
